using SqlSugar;
using System;

namespace Application.Domain.Entity
{
    [Tenant("Kg.SeaTime.Resource")]
    public class game_notice
    {
        /// <summary>
        /// noticeId
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, Length = 50)]
        public string noticeId { get; set; }

        /// <summary>
        /// title
        /// </summary>
        [SugarColumn(Length = 50, IsNullable = true)]
        public string? title { get; set; }

        /// <summary>
        /// sign
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? sign { get; set; }

        /// <summary>
        /// addTime
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? addTime { get; set; }

        /// <summary>
        /// endTime
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? endTime { get; set; }
    }
}
